from tempfile import mkstemp
from shutil import move
from os import remove, close
import sys
import subprocess
import os.path

def replace(file_path):
    #Create temp file
    fh, abs_path = mkstemp()
    with open(abs_path,'w') as new_file:
        with open(file_path) as old_file:
            for line in old_file:
                if "25000" in line: continue
                elif "50000" in line: continue
                elif "75000" in line: continue
                elif "00000" in line: continue
                new_file.write(line)
    close(fh)
    #Remove original file
    remove(file_path)
    #Move new file
    move(abs_path, file_path)

def main():
    for arg in sys.argv[1:]:
        replace(arg)
    return 0

if __name__ == "__main__":
    main()